Name:           spin
Version:        1.5
Release:        3.20081104cvs%{?dist}
Summary:        A transparent threading solution for non-freezing Swing applications
License:        LGPLv2
Group:          Development/Tools
Url:            http://spin.sourceforge.net/
# This was obtained on 2008/11/04 using the following commands:
#   cvs -d :pserver:anonymous@spin.cvs.sourceforge.net:/cvsroot/spin login
#   cvs -d :pserver:anonymous@spin.cvs.sourceforge.net:/cvsroot/spin co spin
Source0:        spin-20081104.tbz
# Compile against the most recent cglib and skip the tests
Patch0:         %{name}-pom_xml.patch

BuildArch: noarch

BuildRequires:        jpackage-utils >= 0:1.5
BuildRequires:  objectweb-asm
BuildRequires:  cglib
BuildRequires:  maven2

Requires: java >= 0:1.4.2
Requires: objectweb-asm
Requires: cglib

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Spin is a small library that concentrates on offering a powerful solution
to build non-freezing Swing applications. Spin enforces good application
design by separating the GUI and non-visual components through interfaces.
If it is used wisely in an application framework, the GUI programmers will
never have to think about threads again.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the spin Java library.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
mvn-jpp install javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r target/site/apidocs ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap spin %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc license.txt
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5-3.20081104cvs
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5-2.20081104cvs
- Add a comment explaining the patch

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5-1.20081104cvs
- Initial package
